Licenses
Update license
Developer API operation for PATCH /dev/v1/licenses/.
PATCH
/
dev
/
v1
/
licenses
/
{id}
Update license
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/licenses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hardware_id": "HWID-2",
"expires_at": "2030-02-01T00:00:00.000Z"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hardware_id: 'HWID-2', expires_at: '2030-02-01T00:00:00.000Z'})
};
fetch('https://api.shoppex.io/dev/v1/licenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/licenses/{id}"
payload = {
"hardware_id": "HWID-2",
"expires_at": "2030-02-01T00:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/licenses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'hardware_id' => 'HWID-2',
'expires_at' => '2030-02-01T00:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/licenses/{id}"
payload := strings.NewReader("{\n \"hardware_id\": \"HWID-2\",\n \"expires_at\": \"2030-02-01T00:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"productLicense": {
"uniqid": "lic_1",
"hardware_id": "HWID-2"
}
}
}⌘I
Update license
